## sandbox.tar.bz2

=== Makefile ===
# Версия makefile для сборки с интеграционными тестами

all: set_env info prepare build #tests #run_tests #stop_processes

# Ставим переменные окружения для роботного пользователя гермионы 
set_env:
	export LOGIN=$$LOGIN
	export PASSWORD=$$PASSWORD

# Информация и всё такое
info: package.json
	which npm || (echo You should run 'sudo apt-get install npm' first. && false)

# Установка зависимостей
prepare: package.json
	npm --registry=http://npm.yandex-team.ru install

tests: package.json
	npm test

# Сборка проекта
build: node_modules
	./node_modules/.bin/gulp release --environment=production

# Запускаем сервер, туннелер и тесты гермионы
run_tests: dist
	./node_modules/.bin/gulp server & 
	sleep 5

	wait

	bash runner.sh -- LOGIN=$$LOGIN PASSWORD=$$PASSWORD 

# Останавливаем все процессы, которые запустил пользователь (сервер, туннелер)
stop_processes:
	killall bash tunneler.sh
	killall ssh
	killall gulp

# Очистка проекта
clean:
	rm -rf dist node_modules

=== requirements.txt ===
aniso8601==1.2.1
asn1crypto==0.22.0
attrs==17.4.0
backports.ssl-match-hostname==3.4.0.2
blackbox==0.49
bleach==2.0.0
boto3==1.17.112
botocore==1.20.112
cachetools==2.0.1
cffi==1.11.0
chardet==3.0.4
colorlog==2.6.0
cryptography==2.0.3
decorator==4.4.2
docutils==0.11
ecdsa==0.10
enum34==1.1.6
execnet==1.3.0
Flask==0.10.1
futures==2.2.0
gevent==1.1.1
google-apputils==0.4.2  # only required for protobuf package: SANDBOX-6804
GreenletProfiler==0.1
html5lib==0.999999999
idna==2.6
infi.clickhouse_orm==1.2.0
ipaddress==1.0.18
ipython==5.4.1
itsdangerous==0.24
Jinja2==2.8
jmespath==0.9.4
kazoo==2.2.1
MarkupSafe==0.23
mock==1.0.1
mongoengine==0.17.0
msgpack-python==0.4.8
netaddr==0.7.18
numpy==1.12.1
pandas==0.16.2
paramiko==2.1.2
pathlib2==2.1.0
pep8==1.6.2
pexpect==4.0.1
pip==9.0.1  # TODO SANDBOX-5249: needs to be updated
portopy==5.0.21
progressbar2==3.17.1
protobuf==2.6.1
psutil==1.2.1
py==1.5.2
pycparser==2.18
pycrypto==2.5
pydns==2.3.6
pyflakes==0.8.1
Pygments==2.2.0
pymongo==3.12.1
pyOpenSSL==17.3.0
pyprof2calltree==1.3.2
pysendfile==2.0.0
pytest==3.3.2
pytest-cache==1.0
pytest-flakes==1.0.1
pytest-html==1.19.0
pytest-pep8==1.0.6
pytest-timeout==1.2.1
pytest-xdist==1.14
python-dateutil==2.5.2
python-libarchive==3.1.2-1
python-magic==0.4.11
pytz==2015.4
PyYAML==3.11
requests==2.18.4
responses==0.10.4
s3transfer==0.4.2
scandir==1.3
setuptools==41.4.0
six==1.14.0
Sphinx==1.6.3
subprocess32==3.2.7
tornado==4.3
urllib3==1.22
urwid==1.3.0
wcwidth==0.1.6
webencodings==0.5.1
websocket-client==0.32.0
Werkzeug==0.10.4
Whoosh==2.7.0
yenv==0.7
zake==0.2.2
zope.interface==4.0.5
certifi==2019.6.16

# TODO SANDBOX-4810: these are ignored for Ubuntu versions other than Xenial,
# remove them after proxy is deployed as binary: https://st.yandex-team.ru/SANDBOX-6804?#5d7bd802701665001d2e4240
uWSGI==2.0.18
uwsgicachetop==1.0.0
Flask-uWSGI-WebSocket==0.5.0

=== trendbox_ci/requirements.txt ===
flake8==3.3.0
flake8-builtins==0.3
flake8-coding==1.3.0
flake8-colors==0.1.6
flake8-commas==0.4.3
flake8-docstrings==1.1.0
flake8-logging-format==0.1.0
flake8-snippets==0.2
flake8-string-format==0.2.3

=== answers/AnswersVaccinationExport/requirements.txt ===
gspread==3.7.0
yql==1.2.101
yandex-yt-yson-bindings-skynet==0.3.35-0

=== avia/gen_sitemaps/requirements.txt ===
unidecode==0.04.19
git+git://github.yandex-team.ru/schuprakov/django-filebrowser-no-grappelli@121c1bcf2c859e8dec8cf43040377ba23e16745b#egg=filebrowser
sqlparse==0.1.19
setproctitle==1.1.9
beautifulsoup4==4.6.0
openpyxl==2.4.8
typing==3.6.2
retrying==1.3.3
mockfs==1.0.2
timeout-decorator==0.3.3
retrying==1.3.3
django-avia-feature-flag-app==3.1
avia-feature-flag-api-client==0.3
ujson==1.35
blackbox
avia-tvm-ticket-provider
gunicorn==18.0
ciso8601==2.0.1
django_russian==0.18
django_tune
pytils
lxml
babel
MySQL-python
boto3==1.9.30
python-magic==0.4.15
requests==2.25.0
pyOpenSSL==20.0.0

=== health/acceptance_begemot_graph/Makefile ===
upload_basket:
	ya upload metrics_basket.json --ttl inf --type YAMD_ACCEPTANCE_BEGEMOT_RESOURCE --owner YA_HEALTH -d 'корзина медицинских запросов для валидации обновления графа бегемота в shared'

=== health/generate_yamd_database/Makefile ===
ATTRS=--attr task_type=GENERATE_YAMD_DATABASE_TASK

build:
	ya make -r --checkout

run-remote: build
	./generate_yamd_database run --type GENERATE_YAMD_DATABASE_TASK --owner YA_HEALTH $(ATTRS)

upload: build
	./generate_yamd_database upload $(ATTRS)

upload-dev-sandbox:
	./generate_yamd_database upload $(ATTRS) --no-auth --skynet --url "http://ya-health-sandbox.sas.yp-c.yandex.net:13337"

=== logos/run_script_2/Makefile ===
build:
	ya make -r --yt-store
push: build
	./run-script run --create-only --enable-taskbox --type RUN_SCRIPT_2
ipython: build
	./run-script ipython

=== ads/infra/ads_infra_release_builder/Makefile ===
build:
	ya make -r --yt-store

push: build
	./ads_infra_release_builder run --create-only --enable-taskbox --type ADS_LOGOS_BUILDER

=== browser_mobile/infra/evict_ccache/requirements.txt ===
--index-url https://pypi.yandex-team.ru/simple/

humanize==0.5.1
pymongo==3.5.1

=== cloud/analytics/contracts/requirements.txt ===
startrek-client==1.8.0
ruamel.yaml==0.15.41
pytz==2018.4
BusinessHours==1.2

=== tank/build/TestTankViaDockerCompose/Makefile ===
run-task:
	~/arcadia/ya make
	./test-tank-via-docker-compose run --type TEST_TANK_VIA_DOCKER_COMPOSE --enable-taskbox --token ~/.sandbox_token

clean-tests-artifacts:
	find data -name logs -type d | xargs rm -rf
	find data -name bin -type d | xargs rm -rf
	find data -name run -type d | xargs rm -rf
	find data -name *.log -type f -delete

upload-tests: clean-tests-artifacts
	~/arcadia/ya upload data
	
prepare-for-local:
	find data -type d -maxdepth 1 -mindepth 1 | xargs -I{} bash -c 'mkdir -p {}/run'

restart: prepare-for-local
	docker-compose down
	docker-compose up -d --force-recreate

test-pandora-inline:
	docker-compose exec tank tankapi-cmd -t localhost -c /data/pandora_inline/config.yaml

test-pandora-uripost:
	docker-compose exec tank tankapi-cmd -t localhost -c /data/pandora_uripost/config.yaml

=== debian/changelog ===
yandex-statinfra-api (0.66.0) precise; urgency=low

  [ Dmitry Fedorov ]
  * [events] fix

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Wed, 20 Jul 2016 19:24:02 +0300

yandex-statinfra-api (0.65.0) precise; urgency=low

  [ Dmitry Fedorov ]
  * [events] little fix

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Wed, 20 Jul 2016 17:54:23 +0300

yandex-statinfra-api (0.64.0) precise; urgency=low

  [ Dmitry Fedorov ]
  * [events] fix import

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Wed, 20 Jul 2016 15:00:27 +0300

yandex-statinfra-api (0.63.0) precise; urgency=low

  [ Dmitry Fedorov ]
  * [events] some fixes

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Wed, 20 Jul 2016 14:33:26 +0300

yandex-statinfra-api (0.62.0) precise; urgency=low

  [ Dmitry Fedorov ]
  * Revert "[events] little experiment"

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Tue, 19 Jul 2016 21:39:16 +0300

yandex-statinfra-api (0.61.0) precise; urgency=low

  [ Dmitry Fedorov ]
  * [events] little experiment

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Tue, 19 Jul 2016 21:26:55 +0300

yandex-statinfra-api (0.60.0) precise; urgency=low

  [ Dmitry Fedorov ]
  * [events] fix processing

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Mon, 18 Jul 2016 19:23:40 +0300

yandex-statinfra-api (0.59.0) precise; urgency=low

  [ Dmitry Fedorov ]
  * add mp lock for safe work with redis

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Fri, 15 Jul 2016 19:18:53 +0300

yandex-statinfra-api (0.58.0) precise; urgency=low

  [ Dmitrii Fedorov ]
  * delete import of urls from swagger

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Fri, 15 Jul 2016 16:21:30 +0300

yandex-statinfra-api (0.57.0) precise; urgency=low

  [ Dmitrii Fedorov ]
  * update mysql connection settings

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Fri, 15 Jul 2016 15:47:42 +0300

yandex-statinfra-api (0.56.0) precise; urgency=low

  [ Dmitry Fedorov ]
  * [events] more logging

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Fri, 15 Jul 2016 15:32:35 +0300

yandex-statinfra-api (0.55.0) precise; urgency=low

  [ Dmitry Fedorov ]
  * [events] more logging
  * [events] more logging

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Fri, 15 Jul 2016 14:03:05 +0300

yandex-statinfra-api (0.54.0) precise; urgency=low

  [ Dmitry Fedorov ]
  * run processing more frequently

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Wed, 13 Jul 2016 19:10:38 +0300

yandex-statinfra-api (0.53.0) precise; urgency=low

  [ Dmitry Fedorov ]
  * temporary switch off clock events producing

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Tue, 12 Jul 2016 13:10:54 +0300

yandex-statinfra-api (0.52.0) precise; urgency=low

  [ Dmitry Fedorov ]
  * Revert "[events][temporary] one-thread processing"

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Wed, 06 Jul 2016 15:47:50 +0300

yandex-statinfra-api (0.51.0) precise; urgency=low

  [ Dmitry Fedorov ]
  * [events] run only one clock event producer at time

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Tue, 05 Jul 2016 15:38:26 +0300

yandex-statinfra-api (0.50.0) precise; urgency=low

  [ Anton Vasilyev ]
  * Minor fix of an unused code

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Mon, 04 Jul 2016 14:57:32 +0300

yandex-statinfra-api (0.49.0) precise; urgency=low

  [ Max Zuev ]
  * [STATINFRA-7893] fix url for job registry

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Fri, 01 Jul 2016 22:39:08 +0300

yandex-statinfra-api (0.48.0) precise; urgency=low

  [ Dmitry Fedorov ]
  * [events][temporary] one-thread processing

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Fri, 01 Jul 2016 18:53:34 +0300

yandex-statinfra-api (0.47.0) precise; urgency=low

  [ Max Zuev ]
  * [STATINFRA-7893] add tests for filtering jobs
  * [STATINFRA-7893] add job registry

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Fri, 01 Jul 2016 15:03:58 +0300

yandex-statinfra-api (0.46.0) precise; urgency=low

  [ Dmitry Fedorov ]
  * [events] fix event search + add more debug info

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Thu, 30 Jun 2016 20:35:51 +0300

yandex-statinfra-api (0.45.0) precise; urgency=low

  [ Anton Vasilyev ]
  * [STATINFRA-7893] beatcop fix

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Thu, 30 Jun 2016 16:31:44 +0300

yandex-statinfra-api (0.44.0) precise; urgency=low

  [ Anton Vasilyev ]
  * DOC: [STATINFRA-7875] some more readme things

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Thu, 30 Jun 2016 16:30:58 +0300

yandex-statinfra-api (0.43.0) precise; urgency=low

  [ dmifedorov ]
  * handmade restart for celery services

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Thu, 30 Jun 2016 14:44:08 +0300

yandex-statinfra-api (0.42.0) precise; urgency=low

  [ Anton Vasilyev ]
  * Fix of the slightly unfresh merge

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Thu, 30 Jun 2016 14:05:52 +0300

yandex-statinfra-api (0.41.0) precise; urgency=low

  [ dmifedorov ]
  * make celery start

  [ Statbox Autotester ]

 -- Statbox Autotester <statbox-qa@yandex-team.ru>  Thu, 30 Jun 2016 14:02:12 +0300

yandex-statinfra-api (0.40.0) precise; urgency=low

  [ Anton Vasilyev ]
  * [STATINFRA-7909] tskv logging: use the pypi package
  * [STATINFRA-7909] tskv logging


=== debian/control ===
Source: yandex-statinfra-api
Section: python
Priority: optional
Maintainer: Anton Vasilev <hhell@yandex-team.ru>
Build-Depends:
  debhelper (>= 7.4.15ubuntu1),
  git-buildpackage,
  python-dev,
  gnupg,
  dupload,
  conductor-utils,
  fabric,
  python-virtualenv,
  python-robe (=1.1),
Standards-Version: 3.9.3

Package: yandex-statinfra-api
Architecture: any
Depends:
  yandex-environment-intranet,
  rsyslog,
# the user 'statbox' is added by:
  statbox-base,
# ...
  python-statinfra (>= 0.19.0),
  python-mysqldb (>= 1.2.3),
Description: Statbox Infrastructure API

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --without python-central,python-support,python2,python3 --buildsystem=makefile

override_dh_auto_build:
	fab venv:mode=release
	fab enter:"statinfra_api collectstatic --noinput",mode=release
